//Pour la scène small radar (fichier du décor : pas les radars ou caisses)

#declare C_ground1 = color srgb < 144 / 255, 126 / 255, 114 / 255 >;
#declare C_ground2 = color srgb < 156 / 255, 141 / 255, 134 / 255 >;
#declare EarthFinish = finish{specular 0.05 roughness 0.01 diffuse 0.9}
#declare GroundTexture = texture{ pigment{wrinkles color_map{ [ 0.0 C_ground1 ][ 0.5 C_ground2 ][ 1.0 C_ground1 ] 
													}
									 scale 0.05
									}
							 normal{ agate 0.4 }
							 finish{ EarthFinish }
						   }
													

#declare C_terrasse1 = color srgb < 218 / 255, 200 / 255, 188 / 255 >;
#declare C_terrasse2 = color srgb < 204 / 255, 188 / 255, 174 / 255 >;

#declare StoneFinish = finish{ specular 0.1 roughness 0.1 diffuse 1 }

#declare ConcreteTexture = texture{pigment{agate color_map{[0.0 C_terrasse1][0.5 C_terrasse2][1.0 C_terrasse1] 
													} 
										scale 0.25
									 }
							  finish{ StoneFinish }
							 } 


#declare EarthGround = plane{y, 0 texture{ GroundTexture } }

#declare ConcreteGround = prism{linear_sweep linear_spline 0, 0.001, 20, 
							<-10, 10>, <0, 10>, <5,5>, <15,15>, <15,35>, 
							<25, 35>, <25, 15>, <20, 10>,
							<15, 0>, <20, -10>, 
							<25, -15>, <25, -20>, <20, -25>, <15, -20>, <15, -15>, <10, -10>,
							<0, -10>, <-10, -10>, <-10, 0>, <-10, 10> 
							texture{ ConcreteTexture } 
					       }
							